PCI_ENABLE_MSIX(9)

NAME
pci_enable_msix - configure device's MSI-X capability structure

SYNOPSIS

int pci_enable_msix (struct pci_dev * dev, struct msix_entry * entries, int nvec);

ARGUMENTS

dev pointer to the pci_dev data structure of MSI-X device function

entries
    pointer to an array of MSI-X entries

nvec
    number of MSI-X vectors requested for allocation by device driver

DESCRIPTION

Setup the MSI-X capability structure of device function with the number of requested vectors upon its software driver call to request for MSI-X mode enabled on its hardware device function. A return of zero indicates the successful configuration of MSI-X capability structure with new allocated MSI-X vectors. A return of < 0 indicates a failure. Or a return of > 0 indicates that driver request is exceeding the number of vectors available. Driver should use the returned value to re-send its request.